diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-fdmt-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -56,7 +56,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestFdMtFfMacScheduler");
 
 LenaTestFdMtFfMacSchedulerSuite::LenaTestFdMtFfMacSchedulerSuite()
-    : TestSuite("lte-fdmt-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-fdmt-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestFdMtFfMacSchedulerSuite");
 
@@ -77,13 +77,13 @@
     // min 3 PRBs per UE: 12 users -> 3 PRB at Itbs 26 -> 277 bytes * 8/12 UE/TTI -> 184670
     // bytes/sec
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 0, 2196000, 2292000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(3, 0, 2196000, 749000, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(6, 0, 2196000, 373000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(12, 0, 2196000, 184670, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 4800 -> MCS 22 -> Itbs 20 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 20 -> 1383 -> 1383000 byte/secfor one UE; 0 bytes/sec for other UEs
@@ -97,13 +97,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 bytes/sec
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 4800, 1383000, 807000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(3, 4800, 1383000, 253000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(6, 4800, 1383000, 125000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(12, 4800, 1383000, 62000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 6000 -> MCS 20 -> Itbs 18 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 18 -> 1191 -> 1191000 byte/sec for one UE; 0 bytes/sec for other UEs
@@ -117,13 +117,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 bytes/sec
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 6000, 1191000, 621000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(3, 6000, 1191000, 201000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(6, 6000, 1191000, 97000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(12, 6000, 1191000, 48667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 10000 -> MCS 14 -> Itbs 13 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 13 -> 775 -> 775000 byte/sec for one UE; 0 bytes/sec for other UEs
@@ -137,13 +137,13 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 bytes/sec
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 10000, 775000, 437000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(3, 10000, 775000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(6, 10000, 775000, 67000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(12, 10000, 775000, 32667, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DONWLINK - DISTANCE 20000 -> MCS 8 -> Itbs 8 (from table 7.1.7.2.1-1 of 36.213)
     // 1 user -> 24 PRB at Itbs 8 -> 421 -> 421000 bytes/sec for one UE; 0 bytes/sec for other UEs
@@ -157,17 +157,18 @@
     // after the patch enforcing min 3 PRBs per UE:
     // 12 users -> 3 PRB at Itbs 2 -> 26 bytes * 8/12 UE/TTI -> 12000 bytes/sec
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 20000, 421000, 137000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(3, 20000, 421000, 41000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(6, 20000, 421000, 22000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdMtFfMacSchedulerTestCase(12, 20000, 421000, 12000, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
 
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
-    AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel), TestCase::QUICK);
+    AddTestCase(new LenaFdMtFfMacSchedulerTestCase(1, 100000, 0, 0, errorModel),
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc ns-3.42/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc
--- ns-3.41/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2024-05-29 15:29:47.124073500 -0700
@@ -63,7 +63,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestFdTbfqFfMacScheduler");
 
 LenaTestFdTbfqFfMacSchedulerSuite::LenaTestFdTbfqFfMacSchedulerSuite()
-    : TestSuite("lte-fdtbfq-ff-mac-scheduler", SYSTEM)
+    : TestSuite("lte-fdtbfq-ff-mac-scheduler", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestFdTbfqFfMacSchedulerSuite");
 
@@ -93,11 +93,11 @@
     //  6 users -> 4 PRB at Itbs 26 -> 373 -> 373000 > 232000 -> throughput = 232000 bytes/sec
     //  12 users -> 2 PRB at Itbs 26 -> 185 -> 185000 < 232000 -> throughput = 185000 bytes/sec
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(1, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(3, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(6, 0, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaFdTbfqFfMacSchedulerTestCase1 (12,0,183000,185000,200,1,errorModel));//
     // simulation time = 1.5, otherwise, ul test will fail
 
@@ -119,11 +119,11 @@
     // 12 users -> 3 PRB at Itbs 13 -> 93  bytes * 8/12 UE/TTI  -> 62000 < 232000 -> throughput =
     // 62000  bytes/sec
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(1, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(3, 4800, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(6, 4800, 230500, 125000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaFdTbfqFfMacSchedulerTestCase1 (12,4800,75250,62000,200,1,errorModel));
     // // simulation time = 1.5, otherwise, ul test will fail
 
@@ -146,11 +146,11 @@
     // 12 users -> 3 PRB at Itbs 11 -> 73 bytes * 8/12 UE/TTI -> 48667 < 232000 -> throughput =
     // 48667 bytes/sec
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(1, 6000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(3, 6000, 232000, 201000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(6, 6000, 198500, 97000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaFdTbfqFfMacSchedulerTestCase1 (12,6000,99250,48667,200,1, errorModel));
     // // simulation time = 1.5, otherwise, ul test will fail
 
@@ -172,11 +172,11 @@
     // 12 users -> 3 PRB at Itbs 8 -> 49 bytes * 8/12 UE/TTI -> 32667 < 232000 -> throughput = 32667
     // bytes/sec
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(1, 10000, 232000, 232000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(3, 10000, 232000, 137000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(6, 10000, 129166, 67000, 200, 1, errorModel),
-                TestCase::EXTENSIVE);
+                TestCase::Duration::EXTENSIVE);
     // AddTestCase (new LenaFdTbfqFfMacSchedulerTestCase1
     // (12,10000,64583,32667,200,1,errorModel));// simulation time = 1.5, otherwise, ul test will
     // fail
@@ -184,7 +184,7 @@
     // DOWNLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     // UPLINK - DISTANCE 100000 -> CQI == 0 -> out of range -> 0 bytes/sec
     AddTestCase(new LenaFdTbfqFfMacSchedulerTestCase1(1, 100000, 0, 0, 200, 1, errorModel),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // Test Case 2: homogeneous flow test in FDTBFQ (different distance)
     // Traffic1 info
@@ -210,7 +210,7 @@
     estThrFdTbfqDl1.push_back(132000); // User 3 estimated TTI throughput from FDTBFQ
     AddTestCase(
         new LenaFdTbfqFfMacSchedulerTestCase2(dist1, estThrFdTbfqDl1, packetSize1, 1, errorModel),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // Traffic2 info
     //   UDP traffic: payload size = 300 bytes, interval = 1 ms
@@ -236,7 +236,7 @@
     estThrFdTbfqDl2.push_back(302266); // User 3 estimated TTI throughput from FDTBFQ
     AddTestCase(
         new LenaFdTbfqFfMacSchedulerTestCase2(dist2, estThrFdTbfqDl2, packetSize2, 1, errorModel),
-        TestCase::EXTENSIVE);
+        TestCase::Duration::EXTENSIVE);
 
     // Test Case 3: heterogeneous flow test in FDTBFQ
     //   UDP traffic: payload size = [100,200,300] bytes, interval = 1 ms
@@ -259,7 +259,7 @@
     estThrFdTbfqDl3.push_back(332000); // User 2 estimated TTI throughput from FDTBFQ
     AddTestCase(
         new LenaFdTbfqFfMacSchedulerTestCase2(dist3, estThrFdTbfqDl3, packetSize3, 1, errorModel),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-frequency-reuse.cc ns-3.42/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.41/src/lte/test/lte-test-frequency-reuse.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-frequency-reuse.cc	2024-05-29 15:29:47.124073500 -0700
@@ -57,7 +57,7 @@
  */
 
 LteFrequencyReuseTestSuite::LteFrequencyReuseTestSuite()
-    : TestSuite("lte-frequency-reuse", SYSTEM)
+    : TestSuite("lte-frequency-reuse", Type::SYSTEM)
 {
     //  LogLevel logLevel = (LogLevel)(LOG_PREFIX_FUNC | LOG_PREFIX_TIME | LOG_LEVEL_DEBUG);
     //  LogComponentEnable ("LteFrequencyReuseTest", logLevel);
@@ -86,7 +86,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrPf2",
                                       5,
                                       "ns3::PfFfMacScheduler",
@@ -98,7 +98,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrPss1",
                                       1,
                                       "ns3::PssFfMacScheduler",
@@ -110,7 +110,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrPss2",
                                       5,
                                       "ns3::PssFfMacScheduler",
@@ -122,7 +122,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrCqa1",
                                       1,
                                       "ns3::CqaFfMacScheduler",
@@ -134,7 +134,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrCqa2",
                                       5,
                                       "ns3::CqaFfMacScheduler",
@@ -146,7 +146,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrFdTbfq1",
                                       1,
                                       "ns3::FdTbfqFfMacScheduler",
@@ -158,7 +158,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrFdTbfq2",
                                       5,
                                       "ns3::FdTbfqFfMacScheduler",
@@ -170,7 +170,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrTdTbfq1",
                                       1,
                                       "ns3::TdTbfqFfMacScheduler",
@@ -182,7 +182,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteHardFrTestCase("DownlinkHardFrTdTbfq2",
                                       5,
                                       "ns3::TdTbfqFfMacScheduler",
@@ -194,7 +194,7 @@
                                       12,
                                       availableDlRb,
                                       availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     availableDlRb.clear();
     availableUlRb.clear();
@@ -232,7 +232,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrPf2",
                                         5,
                                         "ns3::PfFfMacScheduler",
@@ -246,7 +246,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrPss1",
                                         1,
                                         "ns3::PssFfMacScheduler",
@@ -260,7 +260,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrPss2",
                                         5,
                                         "ns3::PssFfMacScheduler",
@@ -274,7 +274,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrCqa1",
                                         1,
                                         "ns3::CqaFfMacScheduler",
@@ -288,7 +288,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrCqa2",
                                         5,
                                         "ns3::CqaFfMacScheduler",
@@ -302,7 +302,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrCqaFdTbfq1",
                                         1,
                                         "ns3::FdTbfqFfMacScheduler",
@@ -316,7 +316,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrCqaFdTbfq2",
                                         5,
                                         "ns3::FdTbfqFfMacScheduler",
@@ -330,7 +330,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrCqaTdTbfq1",
                                         1,
                                         "ns3::TdTbfqFfMacScheduler",
@@ -344,7 +344,7 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteStrictFrTestCase("DownlinkStrictFrCqaTdTbfq2",
                                         5,
                                         "ns3::TdTbfqFfMacScheduler",
@@ -358,80 +358,80 @@
                                         6,
                                         availableDlRb,
                                         availableUlRb),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     AddTestCase(new LteStrictFrAreaTestCase("LteStrictFrAreaTestCasePf1", "ns3::PfFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new LteStrictFrAreaTestCase("LteStrictFrAreaTestCasePss1", "ns3::PssFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteStrictFrAreaTestCase("LteStrictFrAreaTestCaseCqa1", "ns3::CqaFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteStrictFrAreaTestCase("LteStrictFrAreaTestCaseFdTbfq1", "ns3::FdTbfqFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteStrictFrAreaTestCase("LteStrictFrAreaTestCaseTdTbfq1", "ns3::TdTbfqFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     AddTestCase(new LteSoftFrAreaTestCase("LteSoftFrAreaTestCasePf1", "ns3::PfFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteSoftFrAreaTestCase("LteSoftFrAreaTestCasePss1", "ns3::PssFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteSoftFrAreaTestCase("LteSoftFrAreaTestCaseCqa1", "ns3::CqaFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new LteSoftFrAreaTestCase("LteSoftFrAreaTestCaseFdTbfq1", "ns3::FdTbfqFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteSoftFrAreaTestCase("LteSoftFrAreaTestCaseTdTbfq1", "ns3::TdTbfqFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     AddTestCase(new LteSoftFfrAreaTestCase("LteSoftFfrAreaTestCasePf1", "ns3::PfFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteSoftFfrAreaTestCase("LteSoftFfrAreaTestCasePss1", "ns3::PssFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteSoftFfrAreaTestCase("LteSoftFfrAreaTestCaseCqa1", "ns3::CqaFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new LteSoftFfrAreaTestCase("LteSoftFfrAreaTestCaseFdTbfq1", "ns3::FdTbfqFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteSoftFfrAreaTestCase("LteSoftFfrAreaTestCaseTdTbfq1", "ns3::TdTbfqFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
 
     AddTestCase(
         new LteEnhancedFfrAreaTestCase("LteEnhancedFfrAreaTestCasePf1", "ns3::PfFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteEnhancedFfrAreaTestCase("LteEnhancedFfrAreaTestCasePss1", "ns3::PssFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new LteEnhancedFfrAreaTestCase("LteEnhancedFfrAreaTestCaseCqa1", "ns3::CqaFfMacScheduler"),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(new LteEnhancedFfrAreaTestCase("LteEnhancedFfrAreaTestCaseFdTbfq1",
                                                "ns3::FdTbfqFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteEnhancedFfrAreaTestCase("LteEnhancedFfrAreaTestCaseTdTbfq1",
                                                "ns3::TdTbfqFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     AddTestCase(new LteDistributedFfrAreaTestCase("LteDistributedFfrAreaTestCasePf1",
                                                   "ns3::PfFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDistributedFfrAreaTestCase("LteDistributedFfrAreaTestCasePss1",
                                                   "ns3::PssFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDistributedFfrAreaTestCase("LteDistributedFfrAreaTestCaseCqa1",
                                                   "ns3::CqaFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDistributedFfrAreaTestCase("LteDistributedFfrAreaTestCaseFdTbfq1",
                                                   "ns3::FdTbfqFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new LteDistributedFfrAreaTestCase("LteDistributedFfrAreaTestCaseTdTbfq1",
                                                   "ns3::TdTbfqFfMacScheduler"),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/lte/test/lte-test-harq.cc ns-3.42/src/lte/test/lte-test-harq.cc
--- ns-3.41/src/lte/test/lte-test-harq.cc	2024-02-09 14:44:08.333793200 -0800
+++ ns-3.42/src/lte/test/lte-test-harq.cc	2024-05-29 15:29:47.124073500 -0700
@@ -56,7 +56,7 @@
 NS_LOG_COMPONENT_DEFINE("LenaTestHarq");
 
 LenaTestHarqSuite::LenaTestHarqSuite()
-    : TestSuite("lte-harq", SYSTEM)
+    : TestSuite("lte-harq", Type::SYSTEM)
 {
     NS_LOG_INFO("creating LenaTestHarqTestCase");
 
@@ -64,13 +64,13 @@
     // MCS 0 TB size of 66 bytes SINR -9.91 dB expected throughput 31822 bytes/s
     // TBLER 1st tx 1.0
     // TBLER 2nd tx 0.074
-    AddTestCase(new LenaHarqTestCase(2, 2400, 66, 0.12, 31822), TestCase::QUICK);
+    AddTestCase(new LenaHarqTestCase(2, 2400, 66, 0.12, 31822), TestCase::Duration::QUICK);
 
     // Tests on DL/UL Data channels (PDSCH, PUSCH)
     // MCS 10 TB size of 472 bytes SINR 0.3 dB expected throughput 209964 bytes/s
     // TBLER 1st tx 1.0
     // TBLER 2nd tx 0.248
-    AddTestCase(new LenaHarqTestCase(1, 770, 472, 0.06, 209964), TestCase::QUICK);
+    AddTestCase(new LenaHarqTestCase(1, 770, 472, 0.06, 209964), TestCase::Duration::QUICK);
 }
 
 /**
